/*
 * $Id: RSSWSAgentEvent.java,v 1.3 2006/01/26 16:27:35 rampil Exp $
 * Copyright (c) 2006 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss.robot.event;
import java.util.EventObject;

import org.logical_paradox.rss.http.WebContents;

/**
 * RSSWSAgentEvent
 * RSSWebSpiderAgentで発生するイベントの種類と内容を保持するオブジェクト
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class RSSWSAgentEvent extends EventObject {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -5921442368079515897L;
	/** webコンテンツ */
	private WebContents contents = null;

	/**
	 * コンストラクタ．
	 * @param src イベント発生元データ
	 */
	public RSSWSAgentEvent(Object src) {
		super(src);
	}
	/**
	 * コンストラクタ．
	 * @param src イベント発生元データ
	 * @param wc webコンテンツ
	 */
	public RSSWSAgentEvent(Object src, WebContents wc) {
		super(src);
		contents = wc;
	}
	/**
	 * webコンテンツを返す．
	 * @return webコンテンツ
	 */
	public WebContents getContents() {
		return contents;
	}
}
